<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.entbase.mapper.EOtNpermitMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.entbase.entity.EOtNpermit">
        <id column="LICID" property="licid" />
        <result column="ACTYPE" property="actype" />
        <result column="PRIPID" property="pripid" />
        <result column="ENTNAME" property="entname" />
        <result column="UNISCID" property="uniscid" />
        <result column="REGNO" property="regno" />
        <result column="ORGCODE" property="orgcode" />
        <result column="TAXID" property="taxid" />
        <result column="INSCERCODE" property="inscercode" />
        <result column="SOCORGCODE" property="socorgcode" />
        <result column="LEREP" property="lerep" />
        <result column="CERTYPE" property="certype" />
        <result column="CERNO" property="cerno" />
        <result column="NAME" property="name" />
        <result column="AC_CERTYPE" property="acCertype" />
        <result column="AC_CERNO" property="acCerno" />
        <result column="LICNAME" property="licname" />
        <result column="LICNAME_CN" property="licnameCn" />
        <result column="LICNO" property="licno" />
        <result column="LICDECNAME" property="licdecname" />
        <result column="LICDECCODE" property="licdeccode" />
        <result column="LICTYPE" property="lictype" />
        <result column="LICTYPE_CN" property="lictypeCn" />
        <result column="LICITEM" property="licitem" />
        <result column="LICDECDATE" property="licdecdate" />
        <result column="VALIPERIFROM" property="valiperifrom" />
        <result column="VALIPERITO" property="valiperito" />
        <result column="LICANTHNO" property="licanthno" />
        <result column="LICANTH" property="licanth" />
        <result column="LICANTHUNISCID" property="licanthuniscid" />
        <result column="DATADEPT" property="datadept" />
        <result column="DATADEPTUNISCID" property="datadeptuniscid" />
        <result column="LICSTATE" property="licstate" />
        <result column="INVALIDDATE" property="invaliddate" />
        <result column="INVALIDREA" property="invalidrea" />
        <result column="REMARK" property="remark" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        LICID, ACTYPE, PRIPID, ENTNAME, UNISCID, REGNO, ORGCODE, TAXID, INSCERCODE, SOCORGCODE, LEREP, CERTYPE, CERNO, NAME, AC_CERTYPE, AC_CERNO, LICNAME, LICNAME_CN, LICNO, LICDECNAME, LICDECCODE, LICTYPE, LICTYPE_CN, LICITEM, LICDECDATE, VALIPERIFROM, VALIPERITO, LICANTHNO, LICANTH, LICANTHUNISCID, DATADEPT, DATADEPTUNISCID, LICSTATE, INVALIDDATE, INVALIDREA, REMARK, S_EXT_FROMNODE, S_EXT_DATATIME
    </sql>

</mapper>
